.menu
{

  width: 100%;
  height: 30px;
  position: absolute;
  z-index: 20000;
}


.menu ul {
  list-style: none;
  width: 100%;
  display: flex;
  font-size: 15px;

}


.menu ul li a{
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-decoration: none;
}


